#include <Servo.h>



#define PIN_PIRSENSOR 8
#define PIN_LED 13
#define PIN_SERVO 9

Servo expand_servo;
int servo_position = 0;

void setup() {
  Serial.begin(9600);
  
  pinMode(PIN_PIRSENSOR, INPUT); 
  pinMode(PIN_LED, OUTPUT);
   
  digitalWrite(PIN_LED, LOW); // switch off the Arduino's in-built LED 
  expand_servo.attach(PIN_SERVO);

  
}

void loop() {
    int movement_detected = digitalRead(PIN_PIRSENSOR);  
    if (movement_detected) {
       // movement has been detected by the HC-SR501 PIR sensor
        digitalWrite(PIN_LED, HIGH); // switch on the Arduino's in-built LED 
        Serial.println("Movement detected.");
        
        if (servo_position==0) {
          servo0to180();
          //Serial.println("Server to 180.");
        } else {
          servo180to0();
          //Serial.println("Server to 0.");
        }
    } else {
        digitalWrite(PIN_LED, LOW); // switch off the Arduino's in-built LED 
        Serial.println("Movement not detected.");
    }
    
  delay(1000); // wait for one second until the next check
}

void servo0to180(){
  for (servo_position = 0; servo_position <90; servo_position +=1){
    expand_servo.write(servo_position);
    delay(10);
  }
}

void servo180to0(){
  for (servo_position=90; servo_position > 0; servo_position -=1){
    expand_servo.write(servo_position);
    delay(10);
  }
}


